/* $Header: /var/lib/cvs/dynare_cpp/src/cpplapack.h,v 1.1.1.1 2004/10/05 09:35:24 michel Exp $ */

#ifndef CPPLAPACK_H
#define CPPLAPACK_H

#define LAPACK_dgetrs dgetrs_
#define LAPACK_dgetrf dgetrf_
#define LAPACK_dgees  dgees_
#define LAPACK_dgecon dgecon_

#define LACHAR const char*
#define CONST_LAINT const int*
#define LAINT int*
#define CONST_LADOU const double*
#define LADOU double*

extern "C" {
	void LAPACK_dgetrs(LACHAR trans, CONST_LAINT n, CONST_LAINT nrhs,
					   CONST_LADOU a, CONST_LAINT lda, CONST_LAINT ipiv,
					   LADOU b, CONST_LAINT ldb, LAINT info);
	void LAPACK_dgetrf(CONST_LAINT m, CONST_LAINT n, LADOU a,
					   CONST_LAINT lda, LAINT ipiv, LAINT info);
	void  LAPACK_dgees(LACHAR jobvs, LACHAR sort, const void* select,
					   CONST_LAINT n, LADOU a, CONST_LAINT lda, LAINT sdim,
					   LADOU wr, LADOU wi, LADOU vs, CONST_LAINT ldvs,
					   LADOU work, CONST_LAINT lwork, const void* bwork, LAINT info);
	void LAPACK_dgecon(LACHAR norm, CONST_LAINT n, CONST_LADOU a, CONST_LAINT lda,
					   CONST_LADOU anorm, LADOU rnorm, LADOU work, LAINT iwork,
					   LAINT info);
};


#endif /* CPPLAPACK_H */


// Local Variables:
// mode:C++
// End:

