var y dot_cpi e0_dot_cpi_1 rr z rs drs dot4_cpi dot_cpi_lag1 dot_cpi_lag2 dot_cpi_lag3 e0_z_1 xx_res_z;
varexo res_y res_dot_cpi res_z;
parameters gamma_rs gamma_y gamma_dot_cpi rr_f;

gamma_rs = 0.866712;

gamma_y = 5.42939;

gamma_dot_cpi = 1.08283;


rr_f = 0;

model;

y  = .8 * y(-1) -.15 *(rs - dot_cpi(+1)) -.1*100*z + res_y; 
dot_cpi  =   .75 * dot4_cpi(-1) - .25* dot_cpi(+1)-.25*400*(z-z(-1))+ 1.0*y + res_dot_cpi;
e0_dot_cpi_1=1.0*dot_cpi(+1)+(1-1)*dot4_cpi(-1);
rr = rs + e0_dot_cpi_1;
rr = rr_f - 400*(e0_z_1 - z) + res_z;
e0_z_1=1*z(+1)+0*z(-1);
rs = gamma_rs*rs(-1) + (1-gamma_rs)*(gamma_y*y  + gamma_dot_cpi*dot4_cpi) ;
dot4_cpi=.25*(dot_cpi+dot_cpi(-1)+dot_cpi_lag2+dot_cpi_lag3);
drs = rs - rs(-1);
dot_cpi_lag1 = dot_cpi(-1);
dot_cpi_lag2 = dot_cpi_lag1(-1);
dot_cpi_lag3 = dot_cpi_lag2(-1);
xx_res_z=res_z;

end;


initval;
res_y = 0;
res_dot_cpi = 0;
res_z = 0;
y = 0;
dot_cpi = 0;
e0_dot_cpi_1 = 0;
e0_z_1 = 0;
rs = 0;
rr = 0;
z = 0;
drs = 0;
dot4_cpi = 0;
dot_cpi_lag1 = 0;
dot_cpi_lag2 = 0;
dot_cpi_lag3 = 0;
xx_res_z=0;
end;


vcov=[0.3969 0 0 ;0 2.25 0 ;0 0 100];
order=2;
